=begin
btm_Sculpt1_Dialog.rb

Copyright 2009, btmsketchup@hotmail.com

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Created by •BTM on 02/07/09.

Name:			Sculpt Tools
Version:		0.1 (beta): 02/07/09
Description:	This File is the loader for 'sculpt tools'.
=end
require 'sketchup.rb'
require 'extensions.rb'
pform = (Object::RUBY_PLATFORM =~ /mswin/i) ? :windows : ((Object::RUBY_PLATFORM =~ /darwin/i) ? :mac : :other)
platform = pform.to_s
	if platform == "windows"
	$btm_sculpt_platform = 0
	elsif platform == "mac"
	$btm_sculpt_platform = 256
	end

$btm_sculpt_menu = UI.menu("Plugins").add_submenu("Sculpt")
	
$btm_sculpt_toolbar = UI::Toolbar.new "Sculp Tools"

ext1 = SketchupExtension.new("Sculpt Tools", "btm_Sculpt_Tools/btm_Sculpt1_Dialog.rb")
ext1.name = "Dialog"
Sketchup.register_extension(ext1, true)

ext2 = SketchupExtension.new("Sculpt Tools", "btm_Sculpt_Tools/btm_Sculpt2_Bulge.rb")
ext2.name = "Bulge"
Sketchup.register_extension(ext2, true)

ext3 = SketchupExtension.new("Sculpt Tools", "btm_Sculpt_Tools/btm_Sculpt3_Push.rb")
ext3.name = "Push"
Sketchup.register_extension(ext3, true)

ext4 = SketchupExtension.new("Sculpt Tools", "btm_Sculpt_Tools/btm_Sculpt4_smooth.rb")
ext4.name = "Smooth"
Sketchup.register_extension(ext4, true)

